6 Replies Latest reply: Jun 28, 2013 10:21 AM by Roger_D102 RSS

    Lightroom 5 will not work with Windows Vista? What do I do now? Why was this not listed?

    bradtrick

      I just purchased Lightroom 5 and in my efforts to download I received a message indicating I need Windows 7 or newer. I have Vista. What do I have to do now and why is this requirement listed in the material requirements?